org.eclipse.graphiti.ui.editor

## Class DiagramEditorMatchingStrategy

- java.lang.Object
- - org.eclipse.graphiti.ui.editor.DiagramEditorMatchingStrategy

All Implemented Interfaces:
  IEditorMatchingStrategy

    public final class DiagramEditorMatchingStrategy
    extends Object
    implements IEditorMatchingStrategy

Checks whether any file editor input matches one of the opened editors. Scenario is a user's double-clicking on a diagram file in the explorer. If done multiple times on the same file, no new editor must be opened.

Since:
  0.9

### Constructor Summary

Constructors
Constructor and Description
`DiagramEditorMatchingStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `matches(IEditorReference editorRef, IEditorInput input)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiagramEditorMatchingStrategy

    public DiagramEditorMatchingStrategy()

### Method Detail

#### matches

    public boolean matches(IEditorReference editorRef,
                           IEditorInput input)

Specified by:
  `matches` in interface `IEditorMatchingStrategy`